function drawGroundPlane(robot,wgT)
%Draw environment
clf
%Ground Plane
%In ground plane coordinates
p_width = robot.length;
g_gp = [-p_width -p_width p_width p_width;-p_width p_width p_width -p_width;0 0 0 0;1 1 1 1];
%In world coordinates
w_gp = wgT*g_gp;
w_gp = w_gp(1:3,:);  %pull out x-y-z coords
p_gp=patch('Vertices',w_gp','Faces',[1 2 3 4],'FaceAlpha',0.5,'EdgeAlpha',0,'FaceColor','y');
grid on
hold on
view(127.5,30)
xlabel('x');
ylabel('y');
zlabel('z');
