function [X_out,Y_out,Z_out]=surfrotate(X,Y,Z,R,pos);
%Rotates a MATLAB surface by the rotation matrix, R

X_out = 0 * X;
Y_out = 0 * Y;
Z_out = 0 * Z;

for i=1:size(X,1)
    for j=1:size(X,2)
        vect=[X(i,j);Y(i,j);Z(i,j)];
        vect_out = R*vect;
        X_out(i,j)=vect_out(1)+pos(1);
        Y_out(i,j)=vect_out(2)+pos(2);
        Z_out(i,j)=vect_out(3)+pos(3);
    end
end
